% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/latentIV_class.R
\docType{class}
\name{livREndo-class}
\alias{livREndo-class}
\title{latentIV Object}
\description{
This class is used to store and further analyze the results of the latentIV function
}
\section{Slots}{

\describe{
\item{\code{formula}}{- the model formula.}

\item{\code{coefficients}}{- the estimated coefficients.}

\item{\code{seCoefficients}}{- standard error of the estimates.}

\item{\code{groupMeans}}{- the estimates means of the assumed latent groups.}

\item{\code{seMeans}}{- standard errors of the estimates of the groups' means.}

\item{\code{sigma}}{- the variance -covariance matrix.}

\item{\code{probG1}}{- probability of group 1.}

\item{\code{seProbG1}}{- standard error of the estimate of the probability of group 1.}

\item{\code{initValues}}{- initial values of the parameters.}

\item{\code{value}}{- the value of the maximum likelihood function.}

\item{\code{convCode}}{- convergence code. If equalt to zero the model has converged.}

\item{\code{hessian}}{- the hessian matrix.}

\item{\code{dataset}}{- a matrix containing the dependent variable and the endogenous regressor.}
}}
\examples{
getSlots("livREndo")

}
\keyword{internal}

